Safe Haskell | Safe-Inferred

DeprecatedReExport

Contents

- Re-exported from an other module
- Re-exported from an other package

Description

What is tested here:

- Deprecation messages are shown for re-exported items.

Synopsis

- foo :: Int

# Re-exported from an other module

foo :: Int

Deprecated: use `bar` instead

some documentation for foo

# Re-exported from an other package

Not yet working, see http://trac.haskell.org/haddock/ticket/223 , isEmptyChan